twitter4j

## Class OEmbedRequest

- java.lang.Object
- - twitter4j.OEmbedRequest

All Implemented Interfaces:
  Serializable

    public final class OEmbedRequest
    extends Object
    implements Serializable

Since:
  Twitter4J 3.0.2
Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OEmbedRequest.Align`
`static class` `OEmbedRequest.WidgetType`

### Constructor Summary

Constructors
Constructor and Description
`OEmbedRequest(long statusId, String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OEmbedRequest` `align(OEmbedRequest.Align align)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`OEmbedRequest` `HideMedia(boolean hideMedia)`
`OEmbedRequest` `HideThread(boolean hideThread)`
`OEmbedRequest` `hideTweet(boolean hideTweet)`
`OEmbedRequest` `lang(String lang)`
`OEmbedRequest` `MaxWidth(int maxWidth)`
`OEmbedRequest` `omitScript(boolean omitScript)`
`OEmbedRequest` `related(String[] related)`
`void` `setAlign(OEmbedRequest.Align align)`
`void` `setHideMedia(boolean hideMedia)`
`void` `setHideThread(boolean hideThread)`
`void` `setHideTweet(boolean hideTweet)`
`void` `setLang(String lang)`
`void` `setMaxWidth(int maxWidth)`
`void` `setOmitScript(boolean omitScript)`
`void` `setRelated(String[] related)`
`void` `setWidgetType(OEmbedRequest.WidgetType widgetType)`
`String` `toString()`
`OEmbedRequest` `widgetType(OEmbedRequest.WidgetType widgetType)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OEmbedRequest

    public OEmbedRequest(long statusId,
                         String url)

### Method Detail

#### setMaxWidth

    public void setMaxWidth(int maxWidth)

#### MaxWidth

    public OEmbedRequest MaxWidth(int maxWidth)

#### setHideMedia

    public void setHideMedia(boolean hideMedia)

#### HideMedia

    public OEmbedRequest HideMedia(boolean hideMedia)

#### setHideThread

    public void setHideThread(boolean hideThread)

#### HideThread

    public OEmbedRequest HideThread(boolean hideThread)

#### setOmitScript

    public void setOmitScript(boolean omitScript)

#### omitScript

    public OEmbedRequest omitScript(boolean omitScript)

#### setAlign

    public void setAlign(OEmbedRequest.Align align)

#### align

    public OEmbedRequest align(OEmbedRequest.Align align)

#### setRelated

    public void setRelated(String[] related)

#### related

    public OEmbedRequest related(String[] related)

#### setLang

    public void setLang(String lang)

#### lang

    public OEmbedRequest lang(String lang)

#### setWidgetType

    public void setWidgetType(OEmbedRequest.WidgetType widgetType)

#### widgetType

    public OEmbedRequest widgetType(OEmbedRequest.WidgetType widgetType)

#### setHideTweet

    public void setHideTweet(boolean hideTweet)

#### hideTweet

    public OEmbedRequest hideTweet(boolean hideTweet)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`